Package org.eclipse.m2m.atl.profiler.exportmodel

## Interface ExportmodelFactory

All Superinterfaces:
  `org.eclipse.emf.ecore.EFactory`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `ExportmodelFactoryImpl`

    public interface ExportmodelFactory
    extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `ExportmodelPackage`

### Field Summary

Fields
`static ExportmodelFactory` `eINSTANCE` The singleton instance of the factory.

### Method Summary

All Methods Instance Methods Abstract Methods
`AtlOperationExport` `createAtlOperationExport()` Returns a new object of class 'Atl Operation Export'.
`ExportElement` `createExportElement()` Returns a new object of class 'Export Element'.
`ExportRoot` `createExportRoot()` Returns a new object of class 'Export Root'.
`ProfilingOperationExport` `createProfilingOperationExport()` Returns a new object of class 'Profiling Operation Export'.
`ExportmodelPackage` `getExportmodelPackage()` Returns the package supported by this factory.

### Methods inherited from interface org.eclipse.emf.ecore.EFactory

`convertToString, create, createFromString, getEPackage, setEPackage`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### eINSTANCE

    static final ExportmodelFactory eINSTANCE

The singleton instance of the factory.

### Method Detail

#### createExportElement

    ExportElement createExportElement()

Returns a new object of class 'Export Element'.

Returns:
  a new object of class 'Export Element'.

#### createProfilingOperationExport

    ProfilingOperationExport createProfilingOperationExport()

Returns a new object of class 'Profiling Operation Export'.

Returns:
  a new object of class 'Profiling Operation Export'.

#### createAtlOperationExport

    AtlOperationExport createAtlOperationExport()

Returns a new object of class 'Atl Operation Export'.

Returns:
  a new object of class 'Atl Operation Export'.

#### createExportRoot

    ExportRoot createExportRoot()

Returns a new object of class 'Export Root'.

Returns:
  a new object of class 'Export Root'.

#### getExportmodelPackage

    ExportmodelPackage getExportmodelPackage()

Returns the package supported by this factory.

Returns:
  the package supported by this factory.